Loading...
Searching...
No Matches
Point3.cpp File Reference

3D Point More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

double | gtsam::distance3 (const Point3 &p1, const Point3 &q, OptionalJacobian< 1, 3 > H1=boost::none, OptionalJacobian< 1, 3 > H2=boost::none)
| distance between two points
double | gtsam::norm3 (const Point3 &p, OptionalJacobian< 1, 3 > H=boost::none)
| Distance of the point from the origin, with Jacobian.
Point3 | gtsam::normalize (const Point3 &p, OptionalJacobian< 3, 3 > H=boost::none)
| normalize, with optional Jacobian
Point3 | gtsam::cross (const Point3 &p, const Point3 &q, OptionalJacobian< 3, 3 > H_p=boost::none, OptionalJacobian< 3, 3 > H_q=boost::none)
| cross product
double | gtsam::dot (const Point3 &p, const Point3 &q, OptionalJacobian< 1, 3 > H_p=boost::none, OptionalJacobian< 1, 3 > H_q=boost::none)
| dot product
Point3Pair | gtsam::means (const std::vector< Point3Pair > &abPointPairs)
| Calculate the two means of a set of Point3 pairs.
ostream & | gtsam::operator<< (ostream &os, const gtsam::Point3Pair &p)

## Detailed Description

3D Point